#ifndef MYPYC_NATIVE_charset_normalizer___md_H
#define MYPYC_NATIVE_charset_normalizer___md_H
#include <Python.h>
#include <CPy.h>
typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
} charset_normalizer___md___MessDetectorPluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __punctuation_count;
    CPyTagged __symbol_count;
    CPyTagged __character_count;
    PyObject *__last_printable_char;
    char __frenzy_symbol_in_word;
} charset_normalizer___md___TooManySymbolOrPunctuationPluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __character_count;
    CPyTagged __accentuated_count;
} charset_normalizer___md___TooManyAccentuatedPluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __unprintable_count;
    CPyTagged __character_count;
} charset_normalizer___md___UnprintablePluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __successive_count;
    CPyTagged __character_count;
    PyObject *__last_latin_character;
} charset_normalizer___md___SuspiciousDuplicateAccentPluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __suspicious_successive_range_count;
    CPyTagged __character_count;
    PyObject *__last_printable_seen;
} charset_normalizer___md___SuspiciousRangeObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __word_count;
    CPyTagged __bad_word_count;
    CPyTagged __foreign_long_count;
    char __is_current_word_bad;
    char __foreign_long_watch;
    CPyTagged __character_count;
    CPyTagged __bad_character_count;
    PyObject *__buffer;
    CPyTagged __buffer_accent_count;
} charset_normalizer___md___SuperWeirdWordPluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    CPyTagged __wrong_stop_count;
    CPyTagged __cjk_character_count;
} charset_normalizer___md___CjkInvalidStopPluginObject;

typedef struct {
    PyObject_HEAD
    CPyVTableItem *vtable;
    char __buf;
    CPyTagged __character_count_since_last_sep;
    CPyTagged __successive_upper_lower_count;
    CPyTagged __successive_upper_lower_count_final;
    CPyTagged __character_count;
    PyObject *__last_alpha_seen;
    char __current_ascii_only;
} charset_normalizer___md___ArchaicUpperLowerPluginObject;


struct export_table_charset_normalizer___md {
    PyTypeObject **CPyType_MessDetectorPlugin;
    PyObject *(*CPyDef_MessDetectorPlugin)(void);
    PyTypeObject **CPyType_TooManySymbolOrPunctuationPlugin;
    PyObject *(*CPyDef_TooManySymbolOrPunctuationPlugin)(void);
    PyTypeObject **CPyType_TooManyAccentuatedPlugin;
    PyObject *(*CPyDef_TooManyAccentuatedPlugin)(void);
    PyTypeObject **CPyType_UnprintablePlugin;
    PyObject *(*CPyDef_UnprintablePlugin)(void);
    PyTypeObject **CPyType_SuspiciousDuplicateAccentPlugin;
    PyObject *(*CPyDef_SuspiciousDuplicateAccentPlugin)(void);
    PyTypeObject **CPyType_SuspiciousRange;
    PyObject *(*CPyDef_SuspiciousRange)(void);
    PyTypeObject **CPyType_SuperWeirdWordPlugin;
    PyObject *(*CPyDef_SuperWeirdWordPlugin)(void);
    PyTypeObject **CPyType_CjkInvalidStopPlugin;
    PyObject *(*CPyDef_CjkInvalidStopPlugin)(void);
    PyTypeObject **CPyType_ArchaicUpperLowerPlugin;
    PyObject *(*CPyDef_ArchaicUpperLowerPlugin)(void);
    char (*CPyDef_MessDetectorPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_MessDetectorPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_MessDetectorPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_MessDetectorPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_TooManySymbolOrPunctuationPlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_TooManySymbolOrPunctuationPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_TooManySymbolOrPunctuationPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_TooManySymbolOrPunctuationPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_TooManySymbolOrPunctuationPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_TooManyAccentuatedPlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_TooManyAccentuatedPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_TooManyAccentuatedPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_TooManyAccentuatedPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_TooManyAccentuatedPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_UnprintablePlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_UnprintablePlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_UnprintablePlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_UnprintablePlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_UnprintablePlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_SuspiciousDuplicateAccentPlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_SuspiciousDuplicateAccentPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_SuspiciousDuplicateAccentPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_SuspiciousDuplicateAccentPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_SuspiciousDuplicateAccentPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_SuspiciousRange_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_SuspiciousRange___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_SuspiciousRange___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_SuspiciousRange___reset)(PyObject *cpy_r_self);
    double (*CPyDef_SuspiciousRange___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_SuperWeirdWordPlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_SuperWeirdWordPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_SuperWeirdWordPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_SuperWeirdWordPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_SuperWeirdWordPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_CjkInvalidStopPlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_CjkInvalidStopPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_CjkInvalidStopPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_CjkInvalidStopPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_CjkInvalidStopPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_ArchaicUpperLowerPlugin_____init__)(PyObject *cpy_r_self);
    char (*CPyDef_ArchaicUpperLowerPlugin___eligible)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_ArchaicUpperLowerPlugin___feed)(PyObject *cpy_r_self, PyObject *cpy_r_character);
    char (*CPyDef_ArchaicUpperLowerPlugin___reset)(PyObject *cpy_r_self);
    double (*CPyDef_ArchaicUpperLowerPlugin___ratio)(PyObject *cpy_r_self);
    char (*CPyDef_is_suspiciously_successive_range)(PyObject *cpy_r_unicode_range_a, PyObject *cpy_r_unicode_range_b);
    double (*CPyDef_mess_ratio)(PyObject *cpy_r_decoded_sequence, double cpy_r_maximum_threshold, char cpy_r_debug, uint32_t cpy_r___bitmap);
    char (*CPyDef___top_level__)(void);
};
#endif
